package animation;

public class ControlFlow {
    public static final int STEP_INTO = 0;
    public static final int STEP_OVER = 1;
    public static final int CALL = 2;
    
    private int status;
    private PseudoCodeNode function;
    
    public ControlFlow( int status )
    {
        this.status = status;
    }
    
    public ControlFlow( PseudoCodeNode functionNode )
    {
    	status = CALL;
    	function = functionNode;
    }
    
    public PseudoCodeNode getFunction()
    {
    	return function;
    }
    
    public int getStatus()
    {
        return status;
    }
}
